# CSLModelRenderer

class CSLModelRenderer extends ModelRenderer

Converts model object structure into CSL JSON string.

## Methods

string
render(ModelObject $model)

Renders a

    ModelObject $object

recursively into its CSL representation
__construct()

No description

## Details

###
at line 187
`string render(ModelObject $model)`

Renders a

    ModelObject $object

recursively into its CSL representation

#### Parameters

ModelObject | $model | Object of type
    ModelObject

#### Return Value

string |

###
at line 49
`__construct()`